Package relaxngcc.grammar

## Class Pattern

- java.lang.Object
- - relaxngcc.grammar.Pattern

- Direct Known Subclasses:
    `BinaryPattern`, `DataPattern`, `EmptyPattern`, `JavaBlock`, `ListPattern`, `MarkupPattern`, `NotAllowedPattern`, `OneOrMorePattern`, `RefPattern`, `Scope`, `ValuePattern`

      public abstract class Pattern
      extends java.lang.Object

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Pattern()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.Object` | `apply​(PatternFunction f)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pattern

          public Pattern()

  - ### Method Detail

    - #### apply

          public abstract java.lang.Object apply​(PatternFunction f)